﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Globalization;

namespace WpfApplication2
{
	/// <summary>
	/// Interaction logic for MainWindow.xaml
	/// </summary>
	public partial class MainWindow : Window
	{
		public MainWindow()
		{
			InitializeComponent();

			DTP.Culture = new CultureInfo("en");
			DTP.Culture.DateTimeFormat = new DateTimeFormatInfo() { ShortDatePattern="MMM" };
		}

		private void DTP_ParseDateTimeValue(object sender, Telerik.Windows.Controls.ParseDateTimeEventArgs args)
		{
			Int32 month;
			if (Int32.TryParse(args.TextToParse, out month))
			{
				if (month >= 1 && month <= 12)
				{
					args.Result = new DateTime(DateTime.Now.Year, month, 1);
				}
			}
		}
	}
}
